searchNodes=[{"ref":"Cldr.Calendar.Format.html","title":"Cldr.Calendar.Format","type":"module","doc":"Formatting functions for calendars"},{"ref":"Cldr.Calendar.Format.html#month/3","title":"Cldr.Calendar.Format.month/3","type":"function","doc":"Format one calendar year and month Arguments year is the year of the calendar to be formatted month is the month of the calendar to be formatted options is a Cldr.Calendar.Formatter.Options struct or a Keyword.t list of options. Returns The result of the format_month/4 callback of the configured formatter Examples Cldr.Calendar.Format.month(2019, 4) Cldr.Calendar.Format.month(2019, 4, formatter: Cldr.Calendar.Formatter.HTML.Basic) Cldr.Calendar.Format.month(2019, 4, formatter: Cldr.Calendar.Formatter.Markdown, locale: &quot;fr&quot;"},{"ref":"Cldr.Calendar.Format.html#year/2","title":"Cldr.Calendar.Format.year/2","type":"function","doc":"Format one calendar year Arguments year is the year of the calendar to be formatted options is a Cldr.Calendar.Formatter.Options struct or a Keyword.t list of options. Returns The result of the format_year/3 callback of the configured formatter Examples Cldr.Calendar.Format.year(2019) Cldr.Calendar.Format.year(2019, formatter: Cldr.Calendar.Formatter.Markdown) Cldr.Calendar.Format.year(2019, formatter: Cldr.Calendar.Formatter.Markdown, locale: &quot;fr&quot;"},{"ref":"Cldr.Calendar.Formatter.html","title":"Cldr.Calendar.Formatter","type":"behaviour","doc":"Calendar formatter behaviour. This behaviour defines a set of callbacks that are invoked during the formatting of a calendar. At each point in the formatting process the callbacks are invoked from the &quot;inside out&quot;. That is, format_day/4 is invoked for each day of the week, then format_week/5 is called, then format_month/4 and finally format_year/3 is called if required."},{"ref":"Cldr.Calendar.Formatter.html#c:format_day/4","title":"Cldr.Calendar.Formatter.format_day/4","type":"callback","doc":"Returns the formatted calendar for a day Arguments formatted_months is the result returned by format_month/4 year is the year for which the calendar is requested month is the month for which the calendar is requested options is a Cldr.Calendar.Formatter.Options struct Returns An arbitrary result as required which is passed to format_week/5"},{"ref":"Cldr.Calendar.Formatter.html#c:format_month/4","title":"Cldr.Calendar.Formatter.format_month/4","type":"callback","doc":"Returns the formatted calendar for a month Arguments formatted_weeks is the result returned by format_week/5 year is the year for which the calendar is requested month is the month for which the calendar is requested options is a Cldr.Calendar.Formatter.Options struct Returns An arbitrary result as required which is either returned if called by Cldr.Calendar.Format.month/3 or passed to format_year/3 if not."},{"ref":"Cldr.Calendar.Formatter.html#c:format_week/5","title":"Cldr.Calendar.Formatter.format_week/5","type":"callback","doc":"Returns the formatted calendar for a week Arguments formatted_days is the result returned by format_day/4 year is the year for which the calendar is requested month is the month for which the calendar is requested week_number is a 2-tuple of the form {year, week_number} that represents the week of year for week to be formatted options is a Cldr.Calendar.Formatter.Options struct Returns An arbitrary result as required which is passed to format_month/4"},{"ref":"Cldr.Calendar.Formatter.html#c:format_year/3","title":"Cldr.Calendar.Formatter.format_year/3","type":"callback","doc":"Returns the formatted calendar for a year Arguments formatted_months is the result returned by format_month/4 year is the year for which the calendar is requested month is the month for which the calendar is requested options is a Cldr.Calendar.Formatter.Options struct Returns An arbitrary result as required."},{"ref":"Cldr.Calendar.Formatter.Options.html","title":"Cldr.Calendar.Formatter.Options","type":"module","doc":"Defines and validates the options for a calendar formatter. These options are passed to the formatter callbacks defined in Cldr.Calendar.Formatter. The valid options are: :calendar is an calendar module defined with use Cldr.Calendar. :backend is any module that applied use Cldr. The default is Cldr.default_backend(). :formatter is any module implementing the Cldr.Calendar.Formatter behaviour. :locale is any locale returned by Cldr.validate_locale/1. The default is Cldr.get_locale(). :number_system is any valid number system for the given locale. Available number systems for a locale are returned by Cldr.Number.System.number_systems_for(locale, backend). The default is :default. :territory is any territory returned by Cldr.validate_territory/1 The default is the territory defined in the locale struct. :caption is a caption to be applied in any way defined by the :formatter. The default is nil. :class is a class name that can be used any way defined by the :formatter. It is most commonly used to apply an HTML class to an enclosing tag. :id is an id that can be used any way defined by the :formatter. It is most commonly used to apply an HTML id to an enclosing tag. :today is any Date.t that represents today. It is commonly used to allow a formatting to appropriately format a date that is today differently to other days on a calendar. :day_names is a list of 2-tuples that map the day of the week to a localised day name that are most often used as headers for a month. The default is automatically calculated from the provided :calendar and :locale."},{"ref":"Cldr.Calendar.Formatter.Options.html#t:t/0","title":"Cldr.Calendar.Formatter.Options.t/0","type":"type","doc":"Formatter options"},{"ref":"readme.html","title":"Cldr Calendar Formatting","type":"extras","doc":"Cldr Calendar Formatting ex_cldr_calendars_format provides a framework for formatting calendars for output. It includes example formatters for HTML (Cldr.Calendar.Formatter.HTML.Basic), HTML for week-based calendars (Cldr.Calendar.Formatter.HTML.Week) and Markdown (Cldr.Calendar.Formatter.Markdown). These examples may be used as-is but supporting the development of formatters that meet specific requirements is a design objective which is implemented via the Cldr.Calendar.Formatter behaviour."},{"ref":"readme.html#getting-started","title":"Cldr Calendar Formatting - Getting Started","type":"extras","doc":"A formatted calendar is generated via Cldr.Calendar.Format.year/2 or Cldr.Calendar.Format.month/3. For example, to generate a simple HTML calendar for April 2019: iex&gt; Cldr.Calendar.Format.month 2019, 4 &quot;&lt;table class=\\&quot;cldr_calendar\\&quot;&gt;\\n &lt;caption&gt;April 2019&lt;/caption\\n &lt;th&gt;\\n &lt;td class=\\&quot;day_name, weekday\\&quot;&gt;Mon&lt;/td&gt;\\n &lt;td class=\\&quot;day_name, weekday\\&quot;&gt;Tue&lt;/td&gt;\\n &lt;td class=\\&quot;day_name, weekday\\&quot;&gt;Wed&lt;/td&gt;\\n....&quot; From this example we can deduce that: The default calendar is Cldr.Calendar.Gregorian which is compatible with the standard Calendar.ISO but includes additional functionality to support the notion of weeks. That the default calendar has a week that starts on Monday (not all calendars start the week on Monday) That the default locale is &quot;en&quot; (English). Calendars can be localised to any locale supported by ex_cldr That the default formatter is Cldr.Calendar.Formatter.HTML.Basic. Any formatter can be invoked and additional formatters Cldr.Calendar.Formatter.HTML.Week and Cldr.Calendar.Formatter.Markdown are included. Formatting a week-based calendar Week-based calendars, like ISO Week and National Retail Federation, don&#39;t have months in the traditional sense however they can be formatted in a month-like fashion. The formatter Cldr.Calendar.Formatter.HTML.Week is different from Cldr.Calendar.Formatter.HTML.Basic in that is includes the week number as well as the dates. It also converts each date into the Cldr.Calendar.Gregorian calendar for familiar formatting. For example: iex&gt; Cldr.Calendar.Format.month 2019, 4, calendar: Cldr.Calendar.NRF, formatter: Cldr.Calendar.Formatter.HTML.Week &quot;&lt;table class=\\&quot;cldr_calendar\\&quot;&gt;\\n &lt;caption&gt;April 2019&lt;/caption\\n &lt;th&gt;\\n &lt;td&gt; &lt;/td&gt;\\n &lt;td class=\\&quot;day_name, weekend\\&quot;&gt;Sun&lt;/td&gt;\\n &lt;td class=\\&quot;day_name, weekday\\&quot;&gt;Mon&lt;/td&gt;\\n &lt;td class=\\&quot;day_name, weekday\\&quot;&gt;Tue&lt;/td&gt;\\n &lt;td class=\\&quot;day_name, weekday\\&quot;&gt;Wed&lt;/td&gt;\\n &lt;td class=\\&quot;day_name, weekday\\&quot;&gt;Thu&lt;/td&gt;\\n &lt;td class=\\&quot;day_name, weekday\\&quot;&gt;Fri&lt;/td&gt;\\n &lt;td class=\\&quot;day_name, weekend\\&quot;&gt;Sat&lt;/td&gt;\\n\\n &lt;/th&gt;\\n &lt;tr&gt;\\n &lt;td class=\\&quot;week\\&quot;&gt;W14&lt;/td&gt;\\n ... &quot; This example shows that the first day of the week for the Cldr.Calendar.NRF calendar is Sunday and that the week number is included. Formatting Markdown The Cldr.Calendar.Formatter.Markdown formatter is a simple formatter. Using the simple example for April 2019 the example shows: iex(15)&gt; Cldr.Calendar.Format.month 2019, 4, formatter: Cldr.Calendar.Formatter.Markdown &quot;### April 2019\\n\\nMon | Tue | Wed | Thu | Fri | Sat | Sun\\n :---: | :---: | :---: | :---: | :---: | :---: | :---: \\n**1** | **2** | **3** | **4** | **5** | **6** | **7**\\n**8** | **9** | **10** | **11** | **12** | **13** | **14**\\n**15** | **16** | **17** | **18** | **19** | **20** | **21**\\n**22** | **23** | **24** | **25** | **26** | **27** | **28**\\n**29** | **30** | 1 | 2 | 3 | 4 | 5\\n6 | 7 | 8 | 9 | 10 | 11 | 12\\n&quot; Which renders as (heading omitted): MonTueWedThuFriSatSun 1234567 891011121314 15161718192021 22232425262728 293012345 6789101112 Calendar localization Since ex_cldr_calendars_format is built upon ex_cldr, calendars can be localised. Localised formatting understands the weekend and weekdays for a given locale or territory and can use the default of native number system (which may use localised characters for numbers). For example, using the locale for Saudi Arabia we can see: iex(17)&gt; markdown = Cldr.Calendar.Format.month 2019, 4, formatter: Cldr.Calendar.Formatter.Markdown, locale: &quot;ar-SA&quot; &quot;### أبريل ٢٠١٩\\n\\nالاثنين | الثلاثاء | الأربعاء | الخميس | الجمعة | السبت | الأحد\\n :---: | :---: | :---: | :---: | :---: | :---: | :---: \\n**١** | **٢** | **٣** | **٤** | **٥** | **٦** | **٧**\\n**٨** | **٩** | **١٠** | **١١** | **١٢** | **١٣** | **١٤**\\n**١٥** | **١٦** | **١٧** | **١٨** | **١٩** | **٢٠** | **٢١**\\n**٢٢** | **٢٣** | **٢٤** | **٢٥** | **٢٦** | **٢٧** | **٢٨**\\n**٢٩** | **٣٠** | ١ | ٢ | ٣ | ٤ | ٥\\n٦ | ٧ | ٨ | ٩ | ١٠ | ١١ | ١٢\\n&quot; Which renders as (heading omitted): الاثنينالثلاثاءالأربعاءالخميسالجمعةالسبتالأحد ١٢٣٤٥٦٧ ٨٩١٠١١١٢١٣١٤ ١٥١٦١٧١٨١٩٢٠٢١ ٢٢٢٣٢٤٢٥٢٦٢٧٢٨ ٢٩٣٠١٢٣٤٥ ٦٧٨٩١٠١١١٢ Configuring a Cldr backend for localization In order to localize date parts abackend module must be defined. This is a module which hosts the CLDR data for a set of locales. The detailed information for configuring a backend is documented here. For a simple configuration the following steps may be used: Create a backend module. Note that the provider Cldr.Number must be configured since it supports localisation of number formatting. defmodule MyApp.Cldr do use Cldr, locales: [&quot;en&quot;, &quot;fr&quot;, &quot;jp&quot;, &quot;ar&quot;], providers: [Cldr.Number] end Optionally configure this backend as the system default in your config.exs. config :ex_cldr, default_backend: MyApp.Cldr"},{"ref":"readme.html#installation","title":"Cldr Calendar Formatting - Installation","type":"extras","doc":"This package can be installed by adding ex_cldr_calendars_format to your list of dependencies in mix.exs: def deps do [ ... {:ex_cldr_calendars_format, &quot;~&gt; 0.1.0&quot;} ] end Documentation can be found at https://hexdocs.pm/ex_cldr_calendars_format."},{"ref":"license.html","title":"License","type":"extras","doc":"License Copyright 2019 Kip Cole Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License."},{"ref":"changelog.html","title":"Changelog for Cldr Calendars Format v0.2.0","type":"extras","doc":"Changelog for Cldr Calendars Format v0.2.0 This is the changelog for Cldr v0.2.0 released on September 2nd, 2019. For older changelogs please consult the release tag on GitHub Enhancements Update ex_cldr_calendars to 1.x branch Changelog for Cldr Calendars Format v0.1.0 This is the changelog for Cldr v0.1.0 released on April 21st, 2019. For older changelogs please consult the release tag on GitHub Enhancements Initial release"}]